Package be.fgov.ehealth.certra.protocol.v2

# Class GenerateCertificateRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.certra.protocol.v2.GenerateCertificateRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GenerateCertificateRequest extends RequestType implements Serializable
Request type used to start the generation of a new eHealth authentication certificate. It contains the eHealth "Certificate Signing Request" that should be signed by the Belgian eID card of the user requesting the certificate. A new certificate can only be generated when there is no other certificate for that same DN in an active state, or when the active certificate is close to its expiration date.

Java class for GenerateCertificateRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenerateCertificateRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="EHealthCSR" type="{urn:be:fgov:ehealth:certra:core:v2}EHealthCertificateSigningRequestType"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateCertificateRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EHealthCertificateSigningRequestType`
  `getEHealthCSR()`
  This element contains a PKCS#11 Certificate Signing Request together with additional identification data required by eHealth.
  `Signature`
  `getSignature()`
  An enveloped XML signature that signs the entire request.
  `void`
  `setEHealthCSR(EHealthCertificateSigningRequestType value)`
  Sets the value of the eHealthCSR property.
  `void`
  `setSignature(Signature value)`
  Sets the value of the signature property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenerateCertificateRequest

    public GenerateCertificateRequest()

- ## Method Details

  - ### getEHealthCSR

    public EHealthCertificateSigningRequestType getEHealthCSR()
    This element contains a PKCS#11 Certificate Signing Request together with additional identification data required by eHealth.
    Returns:
      possible object is `EHealthCertificateSigningRequestType`

  - ### setEHealthCSR

    public void setEHealthCSR(EHealthCertificateSigningRequestType value)
    Sets the value of the eHealthCSR property.
    Parameters:
      `value` - allowed object is `EHealthCertificateSigningRequestType`
    See Also:
      - `getEHealthCSR()`

  - ### getSignature

    public Signature getSignature()
    An enveloped XML signature that signs the entire request. It must be created with the "Signature" key of a valid Belgian eID. The person signing this request must correspond to the person identified in the EHealthCSR element (either as the natural person identified by the EHealthCSR or as a user that is authorized to manage certificates of the organization identified by the EHealthCSR).
    Returns:
      possible object is `Signature`

  - ### setSignature

    public void setSignature(Signature value)
    Sets the value of the signature property.
    Parameters:
      `value` - allowed object is `Signature`
    See Also:
      - `getSignature()`